Interface OrgReportingResource
- Author:
- Brett Snyder
-
Method Summary
Modifier and TypeMethodDescriptioncom.iland.core.web.rest.response.task.TaskResponsegenerateAntiMalwareReport(String orgUuid, Long start, Long end, String reportFormat, boolean emailOnCompletion, String email) Generate the anti-malware report for the given organization and time range.com.iland.core.web.rest.response.task.TaskResponsegenerateBillingReport(String orgUuid, BillingReportRequest billingReportSpec, boolean emailOnCompletion, String email) Generate the billing report for a given organization.com.iland.core.web.rest.response.task.TaskResponsegenerateContinuityProtectionReport(String orgUuid, String reportFormat, boolean emailOnCompletion, String email) Generate a continuity protection summary report for the given organization.com.iland.core.web.rest.response.task.TaskResponsegenerateDPIEventHistoryReport(String orgUuid, Long start, Long end, String reportFormat, boolean emailOnCompletion, String email) Generate the DPI event history report for the given organization and time range.com.iland.core.web.rest.response.task.TaskResponsegenerateEventHistoryReport(String orgUuid, Long start, Long end, String reportFormat, boolean emailOnCompletion, String email) Generate the ecs event history report for the given organization and time range.com.iland.core.web.rest.response.task.TaskResponsegenerateFirewallEventHistoryReport(String orgUuid, Long start, Long end, String reportFormat, boolean emailOnCompletion, String email) Generate the firewall event history report for the given organization and time range.com.iland.core.web.rest.response.task.TaskResponsegenerateHIPAAReport(String orgUuid, Long start, Long end, String reportFormat, boolean emailOnCompletion, String email) Generate the HIPAA report for the given organization and time range.com.iland.core.web.rest.response.task.TaskResponsegenerateIntegrityEventHistoryReport(String orgUuid, Long start, Long end, String reportFormat, boolean emailOnCompletion, String email) Generate the integrity event history report for the given organization and time range.com.iland.core.web.rest.response.task.TaskResponsegenerateLoginEventHistoryReport(String orgUuid, Long start, Long end, String reportFormat, boolean emailOnCompletion, String email) Generate the login event history report for the given organization and time range.com.iland.core.web.rest.response.task.TaskResponsegenerateLogInspectionReport(String orgUuid, Long start, Long end, String reportFormat, boolean emailOnCompletion, String email) Generate the log inspection report for the given organization and time range.com.iland.core.web.rest.response.task.TaskResponsegenerateSupportRequestReport(String orgUuid, Long start, Long end, String reportFormat, boolean emailOnCompletion, String email) Generate the support request history report for the given organization and time range.com.iland.core.web.rest.response.task.TaskResponsegenerateVmEncryptionReport(String orgUuid, String reportFormat, boolean emailOnCompletion, String email) Generate the VM encryption report for the given organization.com.iland.core.web.rest.response.task.TaskResponsegenerateVmInventoryReport(String orgUuid, boolean emailOnCompletion, String email) Generate the vm inventory report for a given organization.com.iland.core.web.rest.response.task.TaskResponsegenerateVulnerabilityReport(String orgUuid, String reportFormat, boolean emailOnCompletion, String email) Generate the vulnerability report for the given organization.com.iland.core.web.rest.response.task.TaskResponsegenerateWebReputationEventHistoryReport(String orgUuid, Long start, Long end, String reportFormat, boolean emailOnCompletion, String email) Generate the web reputation event history report for the given organization and time range.getAntimalwareEventReports(String orgUuid, ReportFormat reportFormat, Boolean latest) Get the anti-malware reports available for download for the given organization.getAntimalwareOverTimeSerie(String orgUuid, Long start, Long end, Integer limit) Get the antimalware over time serie for the given organization and date range.getBillingReports(String orgUuid, ReportFormat reportFormat, Boolean latest) Get the billing reports for the organization.getCloudEventReports(String orgUuid, ReportFormat reportFormat, Boolean latest) Get the cloud event history reports available for download for the given organization.getComplianceOverTimeSerie(String orgUuid, ComplianceOverTimeResponse.SerieType type, Long start, Long end, Integer limit) Get the compliance over time serie for the given organization and serie name.getContinuityProtectionReports(String orgUuid, ReportFormat reportFormat, Boolean latest) Get the continuity protection reports for the organization.Get the number of events for the given organization, date range, and report type.getDPIEventReports(String orgUuid, ReportFormat reportFormat, Boolean latest) Get the DPI event reports available for download for the given organization.getFirewallEventReports(String orgUuid, ReportFormat reportFormat, Boolean latest) Get the firewall event reports available for download for the given organization.getFirewallOverTimeSerie(String orgUuid, Long start, Long end, Integer limit) Get the firewall over time serie for the given organization and date range.getHIPAAReports(String orgUuid, ReportFormat reportFormat, Boolean latest) Get the HIPAA reports available for download for the given organization.getIntegrityEventReports(String orgUuid, ReportFormat reportFormat, Boolean latest) Get the integrity event reports available for download for the given organization.getLoginEventReports(String orgUuid, ReportFormat reportFormat, Boolean latest) Get the login event history reports available for download for the given organization.getLogInspectionEventReports(String orgUuid, ReportFormat reportFormat, Boolean latest) Get the log inspection reports available for download for the given organization.getLogInspectionOverTimeSerie(String orgUuid, Long start, Long end, Integer limit) Get the log inspection over time serie for the given organization and date range.getSupportRequestReports(String orgUuid, ReportFormat reportFormat, Boolean latest) Get the support request reports available for download for the given organization.getVMEncryptionReports(String orgUuid, ReportFormat reportFormat, Boolean latest) Get the VM encryption reports available for download for the given organization.getVmInventoryReports(String orgUuid, ReportFormat reportFormat, Boolean latest) Get the VM inventory reports for the organization.getVulnerabilityOverTimeSerie(String orgUuid, Long start, Long end, Integer limit) Get the vulnerability over time serie for the given organization and date range.getVulnerabilityReports(String orgUuid, ReportFormat reportFormat, Boolean latest) Get the vulnerability reports available for download for the given organization.getWebReputationEventReports(String orgUuid, ReportFormat reportFormat, Boolean latest) Get the web reputation event reports available for download for the given organization.
-
Method Details
-
generateVulnerabilityReport
@POST @Path("/{orgUuid}/actions/generate-vulnerability-report") com.iland.core.web.rest.response.task.TaskResponse generateVulnerabilityReport(@PathParam("orgUuid") String orgUuid, @QueryParam("format") String reportFormat, @QueryParam("emailOnCompletion") boolean emailOnCompletion, @QueryParam("email") String email) Generate the vulnerability report for the given organization.Default format is pdf if format is unspecified
- Parameters:
orgUuid- organization uuidreportFormat- report format ('pdf' or 'html')emailOnCompletion- whether to email the report upon successful generationemail- email address to send the report to if emailOnCompletion is true, defaults to the user's profile email if not specified- Returns:
- asynchronous task
-
generateAntiMalwareReport
@POST @Path("/{orgUuid}/actions/generate-antimalware-report") com.iland.core.web.rest.response.task.TaskResponse generateAntiMalwareReport(@PathParam("orgUuid") String orgUuid, @QueryParam("start") Long start, @QueryParam("end") Long end, @QueryParam("format") String reportFormat, @QueryParam("emailOnCompletion") boolean emailOnCompletion, @QueryParam("email") String email) Generate the anti-malware report for the given organization and time range.Default format is pdf if format is unspecified
- Parameters:
orgUuid- organization uuidstart- startend- endreportFormat- report format ('pdf' or 'html')emailOnCompletion- whether to email the report upon successful generationemail- email address to send the report to if emailOnCompletion is true, defaults to the user's profile email if not specified- Returns:
- asynchronous task
-
generateLogInspectionReport
@POST @Path("/{orgUuid}/actions/generate-log-inspection-report") com.iland.core.web.rest.response.task.TaskResponse generateLogInspectionReport(@PathParam("orgUuid") String orgUuid, @QueryParam("start") Long start, @QueryParam("end") Long end, @QueryParam("format") String reportFormat, @QueryParam("emailOnCompletion") boolean emailOnCompletion, @QueryParam("email") String email) Generate the log inspection report for the given organization and time range.Default format is pdf if format is unspecified
- Parameters:
orgUuid- organization uuidstart- startend- endreportFormat- report format ('pdf' or 'html')emailOnCompletion- whether to email the report upon successful generationemail- email address to send the report to if emailOnCompletion is true, defaults to the user's profile email if not specified- Returns:
- asynchronous task
-
generateEventHistoryReport
@POST @Path("/{orgUuid}/actions/generate-event-history-report") com.iland.core.web.rest.response.task.TaskResponse generateEventHistoryReport(@PathParam("orgUuid") String orgUuid, @QueryParam("start") Long start, @QueryParam("end") Long end, @QueryParam("format") String reportFormat, @QueryParam("emailOnCompletion") boolean emailOnCompletion, @QueryParam("email") String email) Generate the ecs event history report for the given organization and time range.Default format is pdf if format is unspecified
- Parameters:
orgUuid- organization uuidstart- startend- endreportFormat- report format ('pdf' or 'html')emailOnCompletion- whether to email the report upon successful generationemail- email address to send the report to if emailOnCompletion is true, defaults to the user's profile email if not specified- Returns:
- asynchronous task
-
generateSupportRequestReport
@POST @Path("/{orgUuid}/actions/generate-support-request-report") com.iland.core.web.rest.response.task.TaskResponse generateSupportRequestReport(@PathParam("orgUuid") String orgUuid, @QueryParam("start") Long start, @QueryParam("end") Long end, @QueryParam("format") String reportFormat, @QueryParam("emailOnCompletion") boolean emailOnCompletion, @QueryParam("email") String email) Generate the support request history report for the given organization and time range.Default format is pdf if format is unspecified
- Parameters:
orgUuid- organization uuidstart- startend- endreportFormat- report format ('pdf' or 'html')emailOnCompletion- whether to email the report upon successful generationemail- email address to send the report to if emailOnCompletion is true, defaults to the user's profile email if not specified- Returns:
- asynchronous task
-
generateLoginEventHistoryReport
@POST @Path("/{orgUuid}/actions/generate-login-event-report") com.iland.core.web.rest.response.task.TaskResponse generateLoginEventHistoryReport(@PathParam("orgUuid") String orgUuid, @QueryParam("start") Long start, @QueryParam("end") Long end, @QueryParam("format") String reportFormat, @QueryParam("emailOnCompletion") boolean emailOnCompletion, @QueryParam("email") String email) Generate the login event history report for the given organization and time range.There is a limit of 1 month duration for requesting login events and if no query params are provided for the time range it will fall back on the past week.
Default format is pdf if format is unspecified.
- Parameters:
orgUuid- organization uuidstart- startend- endreportFormat- report format ('pdf' or 'html')emailOnCompletion- whether to email the report upon successful generationemail- email address to send the report to if emailOnCompletion is true, defaults to the user's profile email if not specified- Returns:
- asynchronous task
-
generateFirewallEventHistoryReport
@POST @Path("/{orgUuid}/actions/generate-firewall-event-report") com.iland.core.web.rest.response.task.TaskResponse generateFirewallEventHistoryReport(@PathParam("orgUuid") String orgUuid, @QueryParam("start") Long start, @QueryParam("end") Long end, @QueryParam("format") String reportFormat, @QueryParam("emailOnCompletion") boolean emailOnCompletion, @QueryParam("email") String email) Generate the firewall event history report for the given organization and time range.Default format is pdf if format is unspecified
- Parameters:
orgUuid- organization uuidstart- startend- endreportFormat- report format ('pdf' or 'html')emailOnCompletion- whether to email the report upon successful generationemail- email address to send the report to if emailOnCompletion is true, defaults to the user's profile email if not specified- Returns:
- asynchronous task
-
generateIntegrityEventHistoryReport
@POST @Path("/{orgUuid}/actions/generate-integrity-event-report") com.iland.core.web.rest.response.task.TaskResponse generateIntegrityEventHistoryReport(@PathParam("orgUuid") String orgUuid, @QueryParam("start") Long start, @QueryParam("end") Long end, @QueryParam("format") String reportFormat, @QueryParam("emailOnCompletion") boolean emailOnCompletion, @QueryParam("email") String email) Generate the integrity event history report for the given organization and time range.Default format is pdf if format is unspecified
- Parameters:
orgUuid- organization uuidstart- startend- endreportFormat- report format ('pdf' or 'html')emailOnCompletion- whether to email the report upon successful generationemail- email address to send the report to if emailOnCompletion is true, defaults to the user's profile email if not specified- Returns:
- asynchronous task
-
generateDPIEventHistoryReport
@POST @Path("/{orgUuid}/actions/generate-dpi-event-report") com.iland.core.web.rest.response.task.TaskResponse generateDPIEventHistoryReport(@PathParam("orgUuid") String orgUuid, @QueryParam("start") Long start, @QueryParam("end") Long end, @QueryParam("format") String reportFormat, @QueryParam("emailOnCompletion") boolean emailOnCompletion, @QueryParam("email") String email) Generate the DPI event history report for the given organization and time range.Default format is pdf if format is unspecified
- Parameters:
orgUuid- organization uuidstart- startend- endreportFormat- report format ('pdf' or 'html')emailOnCompletion- whether to email the report upon successful generationemail- email address to send the report to if emailOnCompletion is true, defaults to the user's profile email if not specified- Returns:
- asynchronous task
-
generateContinuityProtectionReport
@POST @Path("/{orgUuid}/actions/generate-continuity-protection-report") com.iland.core.web.rest.response.task.TaskResponse generateContinuityProtectionReport(@PathParam("orgUuid") String orgUuid, @QueryParam("format") String reportFormat, @QueryParam("emailOnCompletion") boolean emailOnCompletion, @QueryParam("email") String email) Generate a continuity protection summary report for the given organization.- Parameters:
orgUuid- organization uuidreportFormat- report format ('pdf' or 'html')emailOnCompletion- whether to email the report upon successful generationemail- email address to send the report to if emailOnCompletion is true, defaults to the user's profile email if not specified- Returns:
- asynchronous task
-
generateWebReputationEventHistoryReport
@POST @Path("/{orgUuid}/actions/generate-web-reputation-event-report") com.iland.core.web.rest.response.task.TaskResponse generateWebReputationEventHistoryReport(@PathParam("orgUuid") String orgUuid, @QueryParam("start") Long start, @QueryParam("end") Long end, @QueryParam("format") String reportFormat, @QueryParam("emailOnCompletion") boolean emailOnCompletion, @QueryParam("email") String email) Generate the web reputation event history report for the given organization and time range.Default format is pdf if format is unspecified
- Parameters:
orgUuid- organization uuidstart- startend- endreportFormat- report format ('pdf' or 'html')emailOnCompletion- whether to email the report upon successful generationemail- email address to send the report to if emailOnCompletion is true, defaults to the user's profile email if not specified- Returns:
- asynchronous task
-
generateVmEncryptionReport
@POST @Path("/{orgUuid}/actions/generate-vm-encryption-report") com.iland.core.web.rest.response.task.TaskResponse generateVmEncryptionReport(@PathParam("orgUuid") String orgUuid, @QueryParam("format") String reportFormat, @QueryParam("emailOnCompletion") boolean emailOnCompletion, @QueryParam("email") String email) Generate the VM encryption report for the given organization.Default format is pdf if format is unspecified
- Parameters:
orgUuid- organization uuidreportFormat- report format ('pdf' or 'html')emailOnCompletion- whether to email the report upon successful generationemail- email address to send the report to if emailOnCompletion is true, defaults to the user's profile email if not specified- Returns:
- asynchronous task
-
generateHIPAAReport
@POST @Path("/{orgUuid}/actions/generate-hipaa-report") com.iland.core.web.rest.response.task.TaskResponse generateHIPAAReport(@PathParam("orgUuid") String orgUuid, @QueryParam("start") Long start, @QueryParam("end") Long end, @QueryParam("format") String reportFormat, @QueryParam("emailOnCompletion") boolean emailOnCompletion, @QueryParam("email") String email) Generate the HIPAA report for the given organization and time range.Default format is pdf if format is unspecified
- Parameters:
orgUuid- organization uuidstart- startend- endreportFormat- report format ('pdf' or 'html')emailOnCompletion- whether to email the report upon successful generationemail- email address to send the report to if emailOnCompletion is true, defaults to the user's profile email if not specified- Returns:
- asynchronous task
-
generateBillingReport
@POST @Path("/{orgUuid}/actions/generate-billing-report") @Consumes("application/json") com.iland.core.web.rest.response.task.TaskResponse generateBillingReport(@PathParam("orgUuid") String orgUuid, BillingReportRequest billingReportSpec, @QueryParam("emailOnCompletion") boolean emailOnCompletion, @QueryParam("email") String email) Generate the billing report for a given organization.Only available as report type of 'csv'.
- Parameters:
orgUuid- org uuidbillingReportSpec-BillingReportRequestbilling reportemailOnCompletion- whether to email the report upon successful generation, superseded by BillingReportSpec's email propertyemail- email address to send the report to if emailOnCompletion is true, defaults to the user's profile email if not specified- Returns:
TaskResponseasynchronous task
-
generateVmInventoryReport
@POST @Path("/{orgUuid}/actions/generate-vm-inventory-report") com.iland.core.web.rest.response.task.TaskResponse generateVmInventoryReport(@PathParam("orgUuid") String orgUuid, @QueryParam("emailOnCompletion") boolean emailOnCompletion, @QueryParam("email") String email) Generate the vm inventory report for a given organization.Only available as report type of 'csv'.
- Parameters:
orgUuid- org uuidemailOnCompletion- whether to email the report upon successful generation, superseded by BillingReportSpec's email propertyemail- email address to send the report to if emailOnCompletion is true, defaults to the user's profile email if not specified- Returns:
TaskResponseasynchronous task
-
getContinuityProtectionReports
@GET @Path("/{orgUuid}/continuity-protection-reports") ReportHeaderListResponse getContinuityProtectionReports(@PathParam("orgUuid") String orgUuid, @QueryParam("format") ReportFormat reportFormat, @QueryParam("latest") Boolean latest) Get the continuity protection reports for the organization.The endpoint also supports filtering by report format, using the query param "format".
- Parameters:
orgUuid- organization UUID- Returns:
- list of reports available for download
-
getBillingReports
@GET @Path("/{orgUuid}/billing-reports") ReportHeaderListResponse getBillingReports(@PathParam("orgUuid") String orgUuid, @QueryParam("format") ReportFormat reportFormat, @QueryParam("latest") Boolean latest) Get the billing reports for the organization.The endpoint also supports filtering by report format, using the query param "format".
- Parameters:
orgUuid- organization UUID- Returns:
- list of reports available for download
-
getVmInventoryReports
@GET @Path("/{orgUuid}/vm-inventory-reports") ReportHeaderListResponse getVmInventoryReports(@PathParam("orgUuid") String orgUuid, @QueryParam("format") ReportFormat reportFormat, @QueryParam("latest") Boolean latest) Get the VM inventory reports for the organization.The endpoint also supports filtering by report format, using the query param "format".
- Parameters:
orgUuid- organization UUID- Returns:
- list of reports available for download
-
getSupportRequestReports
@GET @Path("/{orgUuid}/support-request-reports") ReportHeaderListResponse getSupportRequestReports(@PathParam("orgUuid") String orgUuid, @QueryParam("format") ReportFormat reportFormat, @QueryParam("latest") Boolean latest) Get the support request reports available for download for the given organization.The endpoint also supports filtering by report format, using the query param "format".
- Parameters:
orgUuid- organization uuid- Returns:
- list of reports available for download
-
getCloudEventReports
@GET @Path("/{orgUuid}/cloud-event-reports") ReportHeaderListResponse getCloudEventReports(@PathParam("orgUuid") String orgUuid, @QueryParam("format") ReportFormat reportFormat, @QueryParam("latest") Boolean latest) Get the cloud event history reports available for download for the given organization.The endpoint also supports filtering by report format, using the query param "format".
- Parameters:
orgUuid- organization uuid- Returns:
- list of reports available for download
-
getLoginEventReports
@GET @Path("/{orgUuid}/login-event-reports") ReportHeaderListResponse getLoginEventReports(@PathParam("orgUuid") String orgUuid, @QueryParam("format") ReportFormat reportFormat, @QueryParam("latest") Boolean latest) Get the login event history reports available for download for the given organization.The endpoint also supports filtering by report format, using the query param "format".
- Parameters:
orgUuid- organization uuid- Returns:
- list of reports available for download
-
getVMEncryptionReports
@GET @Path("/{orgUuid}/vm-encryption-reports") ReportHeaderListResponse getVMEncryptionReports(@PathParam("orgUuid") String orgUuid, @QueryParam("format") ReportFormat reportFormat, @QueryParam("latest") Boolean latest) Get the VM encryption reports available for download for the given organization.The endpoint also supports filtering by report format, using the query param "format".
- Parameters:
orgUuid- organization uuid- Returns:
- list of reports available for download
-
getHIPAAReports
@GET @Path("/{orgUuid}/hipaa-reports") ReportHeaderListResponse getHIPAAReports(@PathParam("orgUuid") String orgUuid, @QueryParam("format") ReportFormat reportFormat, @QueryParam("latest") Boolean latest) Get the HIPAA reports available for download for the given organization.The endpoint also supports filtering by report format, using the query param "format".
- Parameters:
orgUuid- organization uuid- Returns:
- list of reports available for download
-
getWebReputationEventReports
@GET @Path("/{orgUuid}/web-reputation-event-reports") ReportHeaderListResponse getWebReputationEventReports(@PathParam("orgUuid") String orgUuid, @QueryParam("format") ReportFormat reportFormat, @QueryParam("latest") Boolean latest) Get the web reputation event reports available for download for the given organization.The endpoint also supports filtering by report format, using the query param "format".
- Parameters:
orgUuid- organization uuid- Returns:
- list of reports available for download
-
getDPIEventReports
@GET @Path("/{orgUuid}/dpi-event-reports") ReportHeaderListResponse getDPIEventReports(@PathParam("orgUuid") String orgUuid, @QueryParam("format") ReportFormat reportFormat, @QueryParam("latest") Boolean latest) Get the DPI event reports available for download for the given organization.The endpoint also supports filtering by report format, using the query param "format".
- Parameters:
orgUuid- organization uuid- Returns:
- list of reports available for download
-
getIntegrityEventReports
@GET @Path("/{orgUuid}/integrity-event-reports") ReportHeaderListResponse getIntegrityEventReports(@PathParam("orgUuid") String orgUuid, @QueryParam("format") ReportFormat reportFormat, @QueryParam("latest") Boolean latest) Get the integrity event reports available for download for the given organization.The endpoint also supports filtering by report format, using the query param "format".
- Parameters:
orgUuid- organization uuid- Returns:
- list of reports available for download
-
getFirewallEventReports
@GET @Path("/{orgUuid}/firewall-event-reports") ReportHeaderListResponse getFirewallEventReports(@PathParam("orgUuid") String orgUuid, @QueryParam("format") ReportFormat reportFormat, @QueryParam("latest") Boolean latest) Get the firewall event reports available for download for the given organization.The endpoint also supports filtering by report format, using the query param "format".
- Parameters:
orgUuid- organization uuid- Returns:
- list of reports available for download
-
getLogInspectionEventReports
@GET @Path("/{orgUuid}/log-inspection-event-reports") ReportHeaderListResponse getLogInspectionEventReports(@PathParam("orgUuid") String orgUuid, @QueryParam("format") ReportFormat reportFormat, @QueryParam("latest") Boolean latest) Get the log inspection reports available for download for the given organization.The endpoint also supports filtering by report format, using the query param "format".
- Parameters:
orgUuid- organization uuid- Returns:
- list of reports available for download
-
getAntimalwareEventReports
@GET @Path("/{orgUuid}/anti-malware-event-reports") ReportHeaderListResponse getAntimalwareEventReports(@PathParam("orgUuid") String orgUuid, @QueryParam("format") ReportFormat reportFormat, @QueryParam("latest") Boolean latest) Get the anti-malware reports available for download for the given organization.The endpoint also supports filtering by report format, using the query param "format".
- Parameters:
orgUuid- organization uuid- Returns:
- list of reports available for download
-
getVulnerabilityReports
@GET @Path("/{orgUuid}/vulnerability-reports") ReportHeaderListResponse getVulnerabilityReports(@PathParam("orgUuid") String orgUuid, @QueryParam("format") ReportFormat reportFormat, @QueryParam("latest") Boolean latest) Get the vulnerability reports available for download for the given organization.The endpoint also supports filtering by report format, using the query param "format".
- Parameters:
orgUuid- organization uuid- Returns:
- list of reports available for download
-
getComplianceOverTimeSerie
@GET @Path("/{orgUuid}/compliance-over-time") ComplianceOverTimeResponse getComplianceOverTimeSerie(@PathParam("orgUuid") String orgUuid, @QueryParam("type") ComplianceOverTimeResponse.SerieType type, @QueryParam("start") Long start, @QueryParam("end") Long end, @QueryParam("limit") Integer limit) Get the compliance over time serie for the given organization and serie name.The default timeframe is the past month if no start and end query params are provided.
- Parameters:
orgUuid- organization uuidtype- type of the compliance over time seriestart- start date (defaults to one month prior to end param)end- end date (defaults to current time if not provided)limit- limit on numer of samples to return (defaults to 60)- Returns:
- the compliance over time serie
-
getVulnerabilityOverTimeSerie
@GET @Path("/{orgUuid}/vulnerability-over-time") VulnerabilityOverTimeResponse getVulnerabilityOverTimeSerie(@PathParam("orgUuid") String orgUuid, @QueryParam("start") Long start, @QueryParam("end") Long end, @QueryParam("limit") Integer limit) Get the vulnerability over time serie for the given organization and date range.The default timeframe is the past month if no start and end query params are provided.
- Parameters:
orgUuid- organization uuidstart- start date (defaults to Jan 1, 1970)end- end date (defaults to current time if not provided)limit- limit on numer of samples to return (defaults to 730)- Returns:
- the vulnerability over time serie
-
getAntimalwareOverTimeSerie
@GET @Path("/{orgUuid}/anti-malware-over-time") AntimalwareOverTimeResponse getAntimalwareOverTimeSerie(@PathParam("orgUuid") String orgUuid, @QueryParam("start") Long start, @QueryParam("end") Long end, @QueryParam("limit") Integer limit) Get the antimalware over time serie for the given organization and date range.The default timeframe is the past month if no start and end query params are provided.
- Parameters:
orgUuid- organization uuidstart- start date (defaults to Jan 1, 1970)end- end date (defaults to current time if not provided)limit- limit on numer of samples to return (defaults to 730)- Returns:
- the antimalware over time serie
-
getLogInspectionOverTimeSerie
@GET @Path("/{orgUuid}/log-inspection-over-time") LogInspectionOverTimeResponse getLogInspectionOverTimeSerie(@PathParam("orgUuid") String orgUuid, @QueryParam("start") Long start, @QueryParam("end") Long end, @QueryParam("limit") Integer limit) Get the log inspection over time serie for the given organization and date range.The default timeframe is the past month if no start and end query params are provided.
- Parameters:
orgUuid- organization uuidstart- start date (defaults to Jan 1, 1970)end- end date (defaults to current time if not provided)limit- limit on numer of samples to return (defaults to 730)- Returns:
- the log inspection over time serie
-
getFirewallOverTimeSerie
@GET @Path("/{orgUuid}/firewall-over-time") FirewallOverTimeResponse getFirewallOverTimeSerie(@PathParam("orgUuid") String orgUuid, @QueryParam("start") Long start, @QueryParam("end") Long end, @QueryParam("limit") Integer limit) Get the firewall over time serie for the given organization and date range.The default timeframe is the past month if no start and end query params are provided.
- Parameters:
orgUuid- organization uuidstart- start date (defaults to Jan 1, 1970)end- end date (defaults to current time if not provided)limit- limit on numer of samples to return (defaults to 730)- Returns:
- the firewall over time serie
-
getCount
@GET @Path("/{orgUuid}/report-count") EventCountResponse getCount(@PathParam("orgUuid") String orgUuid, @QueryParam("reportType") String reportType, @QueryParam("start") Long start, @QueryParam("end") Long end) Get the number of events for the given organization, date range, and report type.Date range limited to 24 hours. If dates not specified then range is set to last 24 hours.
- Parameters:
orgUuid- organization uuidreportType- type of report to filter onstart- start date (defaults to yesterday)end- end date (defaults to today)
-